Object Type Helpers(3)

NAME
Object Type Helpers -

  Functions
static __hwloc_inline int __hwloc_attribute_pure hwloc_get_type_or_below_depth (hwloc_topology_t topology, hwloc_obj_type_t type)
Returns the depth of objects of type type or below.
static __hwloc_inline int __hwloc_attribute_pure hwloc_get_type_or_above_depth (hwloc_topology_t topology, hwloc_obj_type_t type)
Returns the depth of objects of type type or above.

Function Documentation

  static __hwloc_inline int __hwloc_attribute_pure hwloc_get_type_or_above_depth (hwloc_topology_t topology, hwloc_obj_type_t type) [static]

Returns the depth of objects of type type or above. If no object of this type is present on the underlying architecture, the function returns the depth of the first 'present' object typically containing type.

  static __hwloc_inline int __hwloc_attribute_pure hwloc_get_type_or_below_depth (hwloc_topology_t topology, hwloc_obj_type_t type) [static]

Returns the depth of objects of type type or below. If no object of this type is present on the underlying architecture, the function returns the depth of the first 'present' object typically found inside type.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.